org.apache.maven.plugins.shade

## Interface Shader

All Known Implementing Classes:
  DefaultShader

    public interface Shader

Interface that defines the process of shading.

### Field Summary

Fields
`static String` `ROLE`

### Method Summary

Methods
`void` `shade(Set<File> jars, File uberJar, List<Filter> filters, List<Relocator> relocators, List<ResourceTransformer> resourceTransformers)` Perform a shading operation.

### Field Detail

#### ROLE

    static final String ROLE

### Method Detail

#### shade

    void shade(Set<File> jars,
             File uberJar,
             List<Filter> filters,
             List<Relocator> relocators,
             List<ResourceTransformer> resourceTransformers)
               throws IOException,
                      org.apache.maven.plugin.MojoExecutionException

Perform a shading operation.

Parameters:
  `jars` - which jars
  `uberJar` - output jar
  `filters` - the filters
  `relocators` - the relocators
  `resourceTransformers` - the transformers
Throws:
  `IOException` - for IO errors reading the thing
  `org.apache.maven.plugin.MojoExecutionException` - for anything else that goes wrong.